BizKitHub
DocsAPI ReferenceProduct Category/bff/product-category/assignable-products
getProduct CategoryAdmin BFF

/bff/product-category/assignable-products

Returns products with two flags: isMain (this category is product.main_category_id) and isInRel (it is linked via shop__product_rel_category). Use scope=unassigned (default) when adding, scope=assigned when removing.

Product CategorygetBffProduct-categoryAssignable-products

Parameters

5 query

Query parameters

· 5
categoryCodestringRequired
Exampleexample_categoryCode
searchstringOptional
Exampleexample_search
scopestringOptional
Exampleunassigned
pagestringOptional
Exampleexample_page
limitstringOptional
Exampleexample_limit

Response schema

1 status code documented

200Success

This response returns no JSON body.

Response example

application/json
{
  "success": true
}

Request example

GET /bff/product-category/assignable-products

get
curl -X GET "https://api.bizkithub.com/bff/product-category/assignable-products?categoryCode=example_categoryCode&search=example_search&scope=unassigned&page=example_page&limit=example_limit" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY"

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key